Package com.macrofocus.high_d.table

# Interface Table<Component,Color,Format,R,C,V>

All Superinterfaces:
  `com.macrofocus.crossplatform.CPComponent<Component>`

All Known Implementing Classes:
  `AbstractTable`, `JavaFXTable`

public interface Table<Component,Color,Format,R,C,V> extends com.macrofocus.crossplatform.CPComponent<Component>
Created by luc on 27/07/15.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static interface`
  `Table.CellRenderer<Component,R,C,V>`
  `static enum`
  `Table.ColumnResizePolicy`
  `static interface`
  `Table.DetailsFactory<Component,R>`
  `static enum`
  `Table.InteractionMode`
  Interaction mode.
  `static enum`
  `Table.PropertyType`
  `static enum`
  `Table.Style`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `adjustColumns(boolean columnHeaderIncluded, boolean dynamicAdjustment)`
  `MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>>`
  `getColorTheme()`
  Returns the color theme to use.
  `MutableProperty<Table.InteractionMode>`
  `getInteractionMode()`
  `MutableProperty<Boolean>`
  `getShowDistribution()`
  `MutableProperty<Boolean>`
  `getShowFiltered()`
  `com.macrofocus.molap.dataframe.DataFrame<R,C,V>`
  `getSortedDataFrame()`
  `void`
  `reset()`
  `void`
  `setCellRenderer(C column, Table.CellRenderer<Component,R,C,V> renderer)`
  `void`
  `setColorTheme(MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>> colorTheme)`
  Sets the color theme to use.
  `void`
  `setColumnResizePolicy(Table.ColumnResizePolicy policy)`
  `void`
  `setColumnVisible(C column, boolean visible)`
  `void`
  `setDetailsFactory(boolean alwaysVisible, Table.DetailsFactory<Component,R> factory)`
  `void`
  `setFormat(C column, com.macrofocus.format.CPFormat format)`
  `void`
  `setFrozenColumnCount(int columnCount)`
  `void`
  `setHidable(C column, boolean hidable)`
  `void`
  `setLabel(C column, String label)`
  `void`
  `setLocksmith(Object locksmith)`
  `void`
  `setModel(ShowFilteredDataFrame<R,C,V> dataFrame, com.macrofocus.visual.Visual<Color,R,C> visual, com.macrofocus.high_d.axis.group.AxisGroupModel<R,C> axisGroupModel)`
  `void`
  `setShowFiltered(MutableProperty<Boolean> showFiltered)`
  `void`
  `setSortKey(C column, com.macrofocus.molap.dataframe.SortOrder order)`

  ### Methods inherited from interface com.macrofocus.crossplatform.CPComponent

  `getNativeComponent, setStyleClass`

- ## Method Details

  - ### setModel

    void setModel(ShowFilteredDataFrame<R,C,V> dataFrame, com.macrofocus.visual.Visual<Color,R,C> visual, com.macrofocus.high_d.axis.group.AxisGroupModel<R,C> axisGroupModel)

  - ### getSortedDataFrame

    com.macrofocus.molap.dataframe.DataFrame<R,C,V> getSortedDataFrame()

  - ### getColorTheme

    MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>> getColorTheme()
    Returns the color theme to use.
    Returns:
      the color theme

  - ### setColorTheme

    void setColorTheme(MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>> colorTheme)
    Sets the color theme to use.
    Parameters:
      `colorTheme` - the color theme to use

  - ### adjustColumns

    void adjustColumns(boolean columnHeaderIncluded, boolean dynamicAdjustment)

  - ### setColumnVisible

    void setColumnVisible(C column, boolean visible)

  - ### setHidable

    void setHidable(C column, boolean hidable)

  - ### setSortKey

    void setSortKey(C column, com.macrofocus.molap.dataframe.SortOrder order)

  - ### setLocksmith

    void setLocksmith(Object locksmith)

  - ### setFormat

    void setFormat(C column, com.macrofocus.format.CPFormat format)

  - ### setLabel

    void setLabel(C column, String label)

  - ### setFrozenColumnCount

    void setFrozenColumnCount(int columnCount)

  - ### reset

    void reset()

  - ### getShowFiltered

    MutableProperty<Boolean> getShowFiltered()

  - ### setShowFiltered

    void setShowFiltered(MutableProperty<Boolean> showFiltered)

  - ### getInteractionMode

    MutableProperty<Table.InteractionMode> getInteractionMode()

  - ### getShowDistribution

    MutableProperty<Boolean> getShowDistribution()

  - ### setColumnResizePolicy

    void setColumnResizePolicy(Table.ColumnResizePolicy policy)

  - ### setCellRenderer

    void setCellRenderer(C column, Table.CellRenderer<Component,R,C,V> renderer)

  - ### setDetailsFactory

    void setDetailsFactory(boolean alwaysVisible, Table.DetailsFactory<Component,R> factory)